
#include "BBCEntityDistribution.h"

namespace BBC {

Entity* EntityDistribution::getEntity(unsigned unsigned int value)
{
	return mEntityList[value];
}

void EntityDistribution::addEntity(Entity *value)
{
	mEntityList.push_back(value);
}

void EntityDistribution::removeEntity(unsigned int value)
{
	mEntityList.erase(mEntityList.begin()+value);
}

unsigned int EntityDistribution::getNumEntities(void)
{
	return static_cast<unsigned int>(mEntityList.size());
}

}
