
#include "BBCTimer.h"

namespace BBC {

void Timer::start()
{
	time(&mTimer);
	mInitTime = localtime(&mTimer);
}	

void Timer::stop()
{
	time(&mTimer);
	mEndTime= localtime(&mTimer);
}

void Timer::printStartTime()
{
	Ogre::LogManager::getSingleton().logMessage("Init " + Ogre::StringConverter::toString(mInitTime->tm_hour) + ":" + Ogre::StringConverter::toString(mInitTime->tm_min) + ":" + Ogre::StringConverter::toString(mInitTime->tm_sec));		
}

void Timer::printStopTime()
{
	Ogre::LogManager::getSingleton().logMessage("End " + Ogre::StringConverter::toString(mEndTime->tm_hour) + ":" + Ogre::StringConverter::toString(mEndTime->tm_min) + ":" + Ogre::StringConverter::toString(mEndTime->tm_sec));
}

}