#include "LBBCSampleConfigFile.h"

namespace LBBC {

SampleConfigFile::SampleConfigFile()
{
}
	
SampleConfigFile::~SampleConfigFile()
{
}

Ogre::String SampleConfigFile::getEntitySampleMeshPrefixFilename()
{
	return getSetting("Entity Sample Mesh Prefix Filename");
}

bool SampleConfigFile::getEntityDistributionGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Distribution Generation"));
}

bool SampleConfigFile::getEntityDistributionMerged()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Distribution Merged"));
}

Ogre::String SampleConfigFile::getEntityDistributionSplittedMaterialPrefixName()
{
	return getSetting("Entity Distribution Splitted Material Prefix Name");
}

Ogre::String SampleConfigFile::getEntityDistributionMergedMaterialPrefixName()
{
	return getSetting("Entity Distribution Merged Material Prefix Name");
}

Ogre::String SampleConfigFile::getEntityDistributionFolder()
{
	return getSetting("Entity Distribution Folder");
}

Ogre::String SampleConfigFile::getEntityDistributionXMLPrefixFilename()
{
	return getSetting("Entity Distribution XML Prefix Filename");
}

Ogre::String SampleConfigFile::getEntitiesFolder()
{
	return getSetting("Entites Folder");
}


Ogre::String SampleConfigFile::getEntitiesMeshPrefixFilename()
{
	return getSetting("Entities Mesh Prefix Filename");
}

Ogre::String SampleConfigFile::getBillboardCloudXMLPrefixFilename()
{
	return getSetting("Billboard Cloud XML Prefix Filename");
}

bool SampleConfigFile::getEntitySampleMeshGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Sample Mesh Generation"));
}

bool SampleConfigFile::getEntityClustersGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Clusters Generation"));
}

float SampleConfigFile::getEntityClustersAlpha()
{
	return Ogre::StringConverter::parseReal(getSetting("Entity Clusters Alpha"));
}

unsigned int SampleConfigFile::getEntityClustersMaxClusters()
{
	return Ogre::StringConverter::parseInt(getSetting("Entity Clusters MaxClusters"));
}

unsigned int SampleConfigFile::getEntityClustersNumIterations()
{
	return Ogre::StringConverter::parseInt(getSetting("Entity Clusters NumIterations"));
}

bool SampleConfigFile::getEntityClustersMergedClusters()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Clusters Merged Clusters"));
}

bool SampleConfigFile::getEntityClustersSplittedClusters()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Clusters Splitted Clusters"));
}

bool SampleConfigFile::getEntityDistributionSplitted()
{
	return Ogre::StringConverter::parseBool(getSetting("Entity Distribution Splitted"));
}

bool SampleConfigFile::getBillboardCloudGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Generation"));
}

bool SampleConfigFile::getBillboardCloudMergedBillboards()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Merged Billboards"));
}

bool SampleConfigFile::getBillboardCloudSplittedBillboards()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Splitted Billboards"));
}

Ogre::String SampleConfigFile::getEntityClustersFolder()
{
	return getSetting("Entity Clusters Folder");
}

Ogre::String SampleConfigFile::getEntityClustersMeshPrefixFilename()
{
	return getSetting("Entity Clusters Mesh Prefix Filename");
}

Ogre::String SampleConfigFile::getEntityClustersMaterialPrefixFilename()
{
	return getSetting("Entity Clusters Material Prefix Filename");
}

Ogre::String SampleConfigFile::getBillboardCloudFolder()
{
	return getSetting("Billboard Cloud Folder");
}

Ogre::String SampleConfigFile::getBillboardCloudMeshPrefixFilename()
{
	return getSetting("Billboard Cloud Mesh Prefix Filename");
}

Ogre::String SampleConfigFile::getBillboardCloudMaterialPrefixFilename()
{
	return getSetting("Billboard Cloud Material Prefix Filename");
}

bool SampleConfigFile::getBillboardCloudDiffuseColorTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Texture Atlas Generation"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorTextureSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Texture Size"));
}

unsigned int SampleConfigFile::getBillboardCloudDiffuseColorTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Texture Atlas Size"));
}

bool SampleConfigFile::getBillboardCloudIndirectTextureAtlasGeneration()
{
	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Texture Atlas Generation"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectTextureSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Texture Size"));
}

unsigned int SampleConfigFile::getBillboardCloudIndirectTextureAtlasSize()
{
	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Texture Atlas Size"));
}

}
