
#include "BBCBillboardClusterData.h"

namespace BBC {

BillboardClusterData::BillboardClusterData() {
}

BillboardClusterData::~BillboardClusterData() {
}

void BillboardClusterData::setNormal(Ogre::Vector3 value)
{
	mNormal = value;
}

Ogre::Vector3 BillboardClusterData::getNormal()
{
	return mNormal;
}

void BillboardClusterData::setD(float value)
{
	mD = value;
}

float BillboardClusterData::getD()
{
	return mD;
}

void BillboardClusterData::writeBillboardClusterData(TiXmlNode *parentNode)
{
	Ogre::LogManager::getSingleton().logMessage("writeBillboardClusterData method not implemented.");
}

void BillboardClusterData::readBillboardClusterData(TiXmlNode *parentNode)
{
	Ogre::LogManager::getSingleton().logMessage("readBillboardClusterData method not implemented.");
}

void BillboardClusterData::generateBillboardBoundingQuad()
{
	Ogre::LogManager::getSingleton().logMessage("generateBillboardBoundingQuad method not implemented.");
}

void BillboardClusterData::setEntityCluster(EntityCluster *value) 
{
  mEntityCluster = value;
}

EntityCluster* BillboardClusterData::getEntityCluster() 
{
  return mEntityCluster;
}

Ogre::Vector3 BillboardClusterData::getQuadTopLeftCorner()
{
	return mBillboardCorners[QUAD_TOP_LEFT];
}

Ogre::Vector3 BillboardClusterData::getQuadTopRightCorner()
{
	return mBillboardCorners[QUAD_TOP_RIGHT];
}

Ogre::Vector3 BillboardClusterData::getQuadBottomLeftCorner()
{
	return mBillboardCorners[QUAD_BOTTOM_LEFT];
}

Ogre::Vector3 BillboardClusterData::getQuadBottomRightCorner()
{
	return mBillboardCorners[QUAD_BOTTOM_RIGHT];
}

Ogre::Vector3 BillboardClusterData::getAxisX()
{
	return mAxisX;
}

Ogre::Vector3 BillboardClusterData::getAxisY()
{
	return mAxisY;
}

Ogre::Vector3 BillboardClusterData::getAxisZ()
{
	return mAxisZ;
}

}
