
#include "LBBCLeafDistribution.h"

namespace LBBC {

LeafDistribution::LeafDistribution() {
}

LeafDistribution::~LeafDistribution() 
{
	for (unsigned int iLeaf = 0; iLeaf < getNumEntities(); iLeaf++)
	{
		Leaf *leaf = (Leaf*)getEntity(iLeaf);
		delete leaf;
	}
}

void LeafDistribution::setMinD(float value)
{
	mMinD = value;
}

void LeafDistribution::setMaxD(float value)
{
	mMaxD = value;
}

float LeafDistribution::getMinD()
{
	return mMinD;
}

float LeafDistribution::getMaxD()
{
	return mMaxD;
}

void LeafDistribution::setMinNormal(Ogre::Vector3 value)
{
	mMinNormal = value;
}

Ogre::Vector3 LeafDistribution::getMinNormal()
{
	return mMinNormal;
}

void LeafDistribution::setMaxNormal(Ogre::Vector3 value)
{
	mMaxNormal = value;
}

Ogre::Vector3 LeafDistribution::getMaxNormal()
{
	return mMaxNormal;
}

}
