
#include "LBBCLeaves.h"
#include "LBBCLeaf.h"

namespace LBBC {

Leaves::Leaves() 
{
	mBillboardCloud = new BBC::BillboardCloud();
	mLeafDistribution = new LeafDistribution();	
}

Leaves::~Leaves() 
{
	delete mBillboardCloud;
	delete mLeafDistribution;
}

Ogre::Mesh* Leaves::getMesh() {
	return mMesh;
}

void Leaves::setMesh(Ogre::Mesh * value) {
	mMesh = value;
}

void Leaves::load() {
}

void Leaves::unload() {
}

void Leaves::addLeaf(const Leaf & value) {
}

void Leaves::removeLeaf(unsigned int value) {
}

void Leaves::initLeavesDistribution() {

}

LeafDistribution* Leaves::getDistribution()
{
	return mLeafDistribution;
}

void Leaves::setDistribution(LeafDistribution *leafDistribution)
{
	mLeafDistribution = leafDistribution;
}

void Leaves::initBillboardCloud() {
}

void Leaves::setBillboardCloud(BBC::BillboardCloud *value)
{
	mBillboardCloud = value;
}

BBC::BillboardCloud* Leaves::getBillboardCloud()
{
	return mBillboardCloud;
}

}
